## python-recurring-ical-events 2.0.1

=== requirements.txt ===
icalendar
pytz
python-dateutil>=2.8.1
x-wr-timezone < 1.0.0 
x-wr-timezone >= 0.0.5

=== debian/changelog ===
python-recurring-ical-events (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 05 Feb 2023 09:17:26 +0100

python-recurring-ical-events (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 12 Jan 2023 07:27:37 +0100

python-recurring-ical-events (1.1.0b0-3) unstable; urgency=medium

  * source only upload

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 08 Jan 2023 12:04:20 +0100

python-recurring-ical-events (1.1.0b0-2) unstable; urgency=medium

  * Fix binary package name

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 29 Dec 2022 14:39:54 +0100

python-recurring-ical-events (1.1.0b0-1) unstable; urgency=medium

  * Initial release.

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 29 Dec 2022 13:00:21 +0100

=== debian/control ===
Source: python-recurring-ical-events
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-icalendar <!nocheck>,
 python3-pygments <!nocheck>,
 python3-pytest <!nocheck>,
 python3-restructuredtext-lint <!nocheck>,
 python3-x-wr-timezone <!nocheck>,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Homepage: https://github.com/niccokunzmann/python-recurring-ical-events
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-recurring-ical-events
Vcs-Git: https://salsa.debian.org/python-team/packages/python-recurring-ical-events.git

Package: python3-recurring-ical-events
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Recurring ICal events for Python (Python 3)
 ICal has some complexity to it:
 Events can be repeated, removed from the feed and edited later on.
 This tool takes care of these circumstances.
 .
 This package installs the library for Python 3.

## python-recurring-ical-events 2.0.2

=== debian/changelog ===
python-recurring-ical-events (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 12 Jun 2023 18:04:39 +0200

## python-recurring-ical-events 2.1.2

=== requirements.txt ===
icalendar>=5.0.9
icalendar<6.0.0
pytz>=2023.3
python-dateutil>=2.8.1
x-wr-timezone < 1.0.0 
x-wr-timezone >= 0.0.5

=== debian/changelog ===
python-recurring-ical-events (2.1.2-1) unstable; urgency=medium

  * New upstream version 2.1.2
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 13 Jan 2024 11:28:01 +0100

python-recurring-ical-events (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * Add versioned dependency on icalendar
  * Use non legacy timzone names (Closes: #1052814)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 06 Oct 2023 16:51:35 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-sequence-python3,
  python3-setuptools,
  python3-all,
- python3-icalendar <!nocheck>,
+ python3-icalendar (>= 5.0.9) <!nocheck>,
  python3-pygments <!nocheck>,
  python3-pytest <!nocheck>,
  python3-restructuredtext-lint <!nocheck>,

## python-recurring-ical-events 2.2.1

=== debian/changelog ===
python-recurring-ical-events (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 18 Jun 2024 15:47:01 +0200

python-recurring-ical-events (2.1.3-1) unstable; urgency=medium

  * New upstream version 2.1.3

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Mar 2024 18:02:08 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-restructuredtext-lint <!nocheck>,
  python3-x-wr-timezone <!nocheck>,
 Testsuite: autopkgtest-pkg-pybuild
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/niccokunzmann/python-recurring-ical-events
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-recurring-ical-events
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-recurring-ical-events.git

## python-recurring-ical-events 3.3.3

=== requirements.txt ===
# install requirements depending on python version
# see https://www.python.org/dev/peps/pep-0508/#environment-markers

icalendar >= 5.0.0, < 7.0.0
python-dateutil >= 2.8.1, < 3.0.0
x-wr-timezone == 1.*; python_version >= "3.9"
x-wr-timezone == 0.*; python_version <= "3.8"
backports.zoneinfo; python_version == "3.7" or python_version == "3.8"
tzdata; python_version >= "3.7"

=== debian/changelog ===
python-recurring-ical-events (3.3.3-3) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-pytz for tests.

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 Jul 2025 21:53:11 +0100

python-recurring-ical-events (3.3.3-2) unstable; urgency=medium

  * Remove test for today's date in doctest
  * Update test dependency version on icalendar

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 03 Nov 2024 10:38:32 +0100

python-recurring-ical-events (3.3.3-1) unstable; urgency=medium

  * New upstream version 3.3.3
  * Use non legacy timezone name in test (Closes: #1086380)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 01 Nov 2024 17:16:20 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
  dh-sequence-python3,
  python3-setuptools,
  python3-all,
- python3-icalendar (>= 5.0.9) <!nocheck>,
+ python3-icalendar (>= 6.0.0) <!nocheck>,
  python3-pygments <!nocheck>,
  python3-pytest <!nocheck>,
+ python3-pytz <!nocheck>,
  python3-restructuredtext-lint <!nocheck>,
  python3-x-wr-timezone <!nocheck>,
 Testsuite: autopkgtest-pkg-pybuild

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS = -k "not test_zoneinfo_must_be_installed_if_it_is_possible"

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/niccokunzmann/python-recurring-ical-events/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## python-recurring-ical-events 3.8.0+dfsg

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS      =
SPHINXBUILD     = venv/bin/sphinx-build
SPHINXAUTOBUILD = venv/bin/sphinx-autobuild
PAPER           =
BUILDDIR        = _build
LOCALESDIR      = _locales

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help cleanhtml clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext livehtml rtd-pr-preview

venv:
	pwd
	git fetch --tags
	python -m venv venv
	venv/bin/pip install -r requirements.txt

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  livehtml   to view a live preview of standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

cleanhtml:
	-rm -rf $(BUILDDIR)/*

clean: cleanhtml
	-rm -rf venv

html: venv
	$(SPHINXBUILD) -b html --fresh-env --write-all $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in docs/$(BUILDDIR)/html."
	rm -rf build

latexpdf: venv
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text: venv
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: venv
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

gettext: venv
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(LOCALESDIR)
	@echo
	@echo "Build finished. The message catalogs are in $(LOCALESDIR)."

linkcheck: venv
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest: venv
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

livehtml: venv
	# rebuild because the modules change
	$(SPHINXAUTOBUILD) \
	--watch .. \
	--port 8050 \
	-b html . "$(BUILDDIR)/html" $(SPHINXOPTS) $(O)

rtd-pr-preview: venv ## Build pull request preview on Read the Docs
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) ${READTHEDOCS_OUTPUT}/html/

=== docs/requirements.txt ===
Sphinx>=7
pydata-sphinx-theme
sphinx-autobuild
sphinx-copybutton
..
sphinx-sitemap
sphinx-autoapi>=3.0.0
# For examples section
myst-parser
sphinx-autodoc-typehints
sphinx-toolbox
sphinx-tabs

=== debian/changelog ===
python-recurring-ical-events (3.8.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Exclude non-free RFCs from upstream tarballs.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 04 Sep 2025 02:37:05 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,12 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
- python3-setuptools,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-icalendar (>= 6.0.0) <!nocheck>,
+ python3-dateutil <!nocheck>,
+ python3-hatch-vcs,
+ python3-hatchling,
+ python3-icalendar (>= 6.1.0) <!nocheck>,
  python3-pygments <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytz <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS = -k "not test_zoneinfo_must_be_installed_if_it_is_possible" {dir}/recurring_ical_events/test
export PYBUILD_AFTER_INSTALL = rm -f {destdir}/{install_dir}/recurring_ical_events/.gitignore

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%,repacksuffix=+dfsg,dversionmangle=auto" \
    https://github.com/niccokunzmann/python-recurring-ical-events/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
